Subject: Re: [RFC][GENETLINK] move command capabilities to flags

From: jamal <[email-masked]>
Date: Mon, 04 Dec 2006 12:48:04 -0500

On Mon, 2006-04-12 at 17:31 +0100, Thomas Graf wrote:
> * jamal <[email-masked]> 2006-12-04 08:01
> > The savings bytes is one aspect; the other is the cleanliness.
> > transfering a boolean in that many bits is a little of overkill.
> > I think it is better to fix it now than later.
> > I know you mentioned libnl uses it. But that is something you can change
> > on your side. I dont know of any other app that uses it. 
> 
> Right but if some distro is based on exactly 2.6.19 the specific libnl
> parts won't work at all for a long time.
> 

We can resolve that by uping the version for the controller.
User will use that a signal.

> > > If you
> > > really want to do it, remove the obsoleted attribute types, I don't
> > > like dead bodies laying around :-)
> > 
> > I could resend the patch getting rid of those definitions. 
> 
> OK, I can live with it, I don't care for the breakage much.

cool - will send a patch later.

cheers,
jamal